<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>VPMainWindow</class>
 <widget class="QMainWindow" name="VPMainWindow">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>1427</width>
    <height>904</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Puzzle</string>
  </property>
  <property name="windowIcon">
   <iconset>
    <normaloff>:/puzzleicon/64x64/logo.png</normaloff>:/puzzleicon/64x64/logo.png</iconset>
  </property>
  <property name="layoutDirection">
   <enum>Qt::LeftToRight</enum>
  </property>
  <widget class="QWidget" name="centralWidget">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="layoutDirection">
    <enum>Qt::LeftToRight</enum>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_15">
    <property name="sizeConstraint">
     <enum>QLayout::SetDefaultConstraint</enum>
    </property>
   </layout>
  </widget>
  <widget class="QMenuBar" name="menuBar">
   <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>1427</width>
     <height>22</height>
    </rect>
   </property>
   <widget class="QMenu" name="menuFile">
    <property name="title">
     <string>&amp;File</string>
    </property>
    <addaction name="actionNew"/>
    <addaction name="actionOpen"/>
    <addaction name="actionSave"/>
    <addaction name="actionSaveAs"/>
    <addaction name="separator"/>
    <addaction name="actionImportRawLayout"/>
    <addaction name="separator"/>
    <addaction name="actionPreferences"/>
    <addaction name="separator"/>
    <addaction name="actionExit"/>
   </widget>
   <widget class="QMenu" name="menuSheet">
    <property name="title">
     <string>&amp;Sheet</string>
    </property>
    <addaction name="separator"/>
    <addaction name="actionAddSheet"/>
    <addaction name="separator"/>
    <addaction name="actionPrintSheet"/>
    <addaction name="actionPrintPreviewSheet"/>
    <addaction name="actionPrintTiledSheet"/>
    <addaction name="actionPrintPreviewTiledSheet"/>
    <addaction name="separator"/>
    <addaction name="actionExportSheet"/>
   </widget>
   <widget class="QMenu" name="menuWindow">
    <property name="title">
     <string>&amp;Window</string>
    </property>
    <addaction name="separator"/>
   </widget>
   <widget class="QMenu" name="menuHelp">
    <property name="title">
     <string>&amp;Help</string>
    </property>
    <addaction name="actionAboutQt"/>
    <addaction name="actionAboutPuzzle"/>
   </widget>
   <widget class="QMenu" name="menuLayout">
    <property name="title">
     <string>&amp;Layout</string>
    </property>
    <addaction name="actionPrintLayout"/>
    <addaction name="actionPrintPreviewLayout"/>
    <addaction name="actionPrintTiledLayout"/>
    <addaction name="actionPrintPreviewTiledLayout"/>
    <addaction name="separator"/>
    <addaction name="actionExportLayout"/>
   </widget>
   <widget class="QMenu" name="menuWatermark">
    <property name="title">
     <string>Watermark</string>
    </property>
    <addaction name="actionWatermarkEditor"/>
    <addaction name="actionEditCurrentWatermark"/>
    <addaction name="separator"/>
    <addaction name="actionLoadWatermark"/>
    <addaction name="actionRemoveWatermark"/>
   </widget>
   <addaction name="menuFile"/>
   <addaction name="menuLayout"/>
   <addaction name="menuSheet"/>
   <addaction name="menuWatermark"/>
   <addaction name="menuWindow"/>
   <addaction name="menuHelp"/>
  </widget>
  <widget class="QToolBar" name="mainToolBar">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="windowTitle">
    <string>Menu</string>
   </property>
   <property name="toolButtonStyle">
    <enum>Qt::ToolButtonTextUnderIcon</enum>
   </property>
   <attribute name="toolBarArea">
    <enum>TopToolBarArea</enum>
   </attribute>
   <attribute name="toolBarBreak">
    <bool>false</bool>
   </attribute>
   <addaction name="actionNew"/>
   <addaction name="actionOpen"/>
   <addaction name="actionSave"/>
  </widget>
  <widget class="QDockWidget" name="dockWidgetCarrousel">
   <property name="sizePolicy">
    <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
     <horstretch>0</horstretch>
     <verstretch>0</verstretch>
    </sizepolicy>
   </property>
   <property name="minimumSize">
    <size>
     <width>30</width>
     <height>46</height>
    </size>
   </property>
   <property name="styleSheet">
    <string notr="true"/>
   </property>
   <property name="features">
    <set>QDockWidget::DockWidgetMovable</set>
   </property>
   <property name="allowedAreas">
    <set>Qt::AllDockWidgetAreas</set>
   </property>
   <property name="windowTitle">
    <string>Piece Carrousel</string>
   </property>
   <attribute name="dockWidgetArea">
    <number>1</number>
   </attribute>
   <widget class="QWidget" name="widgetCarrousel">
    <property name="sizePolicy">
     <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
      <horstretch>0</horstretch>
      <verstretch>0</verstretch>
     </sizepolicy>
    </property>
    <property name="minimumSize">
     <size>
      <width>0</width>
      <height>0</height>
     </size>
    </property>
    <layout class="QVBoxLayout" name="verticalLayout_10">
     <property name="spacing">
      <number>0</number>
     </property>
    </layout>
   </widget>
  </widget>
  <widget class="QDockWidget" name="dockWidgetProperties">
   <property name="minimumSize">
    <size>
     <width>140</width>
     <height>153</height>
    </size>
   </property>
   <property name="features">
    <set>QDockWidget::DockWidgetClosable|QDockWidget::DockWidgetMovable</set>
   </property>
   <property name="allowedAreas">
    <set>Qt::LeftDockWidgetArea|Qt::RightDockWidgetArea</set>
   </property>
   <property name="windowTitle">
    <string>Properties</string>
   </property>
   <attribute name="dockWidgetArea">
    <number>2</number>
   </attribute>
   <widget class="QWidget" name="dockWidgetPropertiesContents">
    <layout class="QVBoxLayout" name="verticalLayout_13">
     <property name="leftMargin">
      <number>4</number>
     </property>
     <item>
      <widget class="QTabWidget" name="tabWidgetProperties">
       <property name="enabled">
        <bool>true</bool>
       </property>
       <property name="sizePolicy">
        <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="tabShape">
        <enum>QTabWidget::Rounded</enum>
       </property>
       <property name="currentIndex">
        <number>0</number>
       </property>
       <property name="iconSize">
        <size>
         <width>32</width>
         <height>32</height>
        </size>
       </property>
       <widget class="QWidget" name="tabCurrentPieceProperty">
        <property name="styleSheet">
         <string notr="true"/>
        </property>
        <attribute name="icon">
         <iconset>
          <normaloff>:/puzzleicon/64x64/iconCurrentPiece.png</normaloff>:/puzzleicon/64x64/iconCurrentPiece.png</iconset>
        </attribute>
        <attribute name="title">
         <string/>
        </attribute>
        <attribute name="toolTip">
         <string>Current piece properties</string>
        </attribute>
        <layout class="QVBoxLayout" name="verticalLayoutCurrentPieceProperty">
         <property name="leftMargin">
          <number>0</number>
         </property>
         <property name="topMargin">
          <number>0</number>
         </property>
         <property name="rightMargin">
          <number>0</number>
         </property>
         <property name="bottomMargin">
          <number>0</number>
         </property>
         <item>
          <widget class="QScrollArea" name="scrollAreaCurrentPiece">
           <property name="enabled">
            <bool>true</bool>
           </property>
           <property name="styleSheet">
            <string notr="true"/>
           </property>
           <property name="frameShape">
            <enum>QFrame::NoFrame</enum>
           </property>
           <property name="frameShadow">
            <enum>QFrame::Plain</enum>
           </property>
           <property name="lineWidth">
            <number>0</number>
           </property>
           <property name="widgetResizable">
            <bool>true</bool>
           </property>
           <widget class="QWidget" name="scrollAreaWidgetContentsCurrentPiece">
            <property name="geometry">
             <rect>
              <x>0</x>
              <y>0</y>
              <width>392</width>
              <height>700</height>
             </rect>
            </property>
            <layout class="QVBoxLayout" name="verticalLayout_23">
             <item>
              <widget class="QLabel" name="labelCurrentPiece">
               <property name="styleSheet">
                <string notr="true">font-weight:bold;</string>
               </property>
               <property name="text">
                <string>Current piece</string>
               </property>
               <property name="textFormat">
                <enum>Qt::AutoText</enum>
               </property>
               <property name="alignment">
                <set>Qt::AlignCenter</set>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QWidget" name="containerCurrentPieceData" native="true">
               <layout class="QVBoxLayout" name="containerCurrentPieceDataLayout">
                <property name="leftMargin">
                 <number>0</number>
                </property>
                <property name="topMargin">
                 <number>0</number>
                </property>
                <property name="rightMargin">
                 <number>0</number>
                </property>
                <property name="bottomMargin">
                 <number>0</number>
                </property>
                <item>
                 <widget class="QGroupBox" name="groupBoxCurrentPieceInfo">
                  <property name="title">
                   <string>Infos</string>
                  </property>
                  <layout class="QFormLayout" name="formLayout_4">
                   <item row="1" column="0">
                    <widget class="QLabel" name="labelCurrentPieceName">
                     <property name="text">
                      <string>Name:</string>
                     </property>
                    </widget>
                   </item>
                   <item row="1" column="1">
                    <widget class="QLineEdit" name="lineEditCurrentPieceName">
                     <property name="text">
                      <string/>
                     </property>
                     <property name="frame">
                      <bool>false</bool>
                     </property>
                     <property name="readOnly">
                      <bool>true</bool>
                     </property>
                    </widget>
                   </item>
                   <item row="2" column="0">
                    <widget class="QLabel" name="labelCurrentPieceUUID">
                     <property name="text">
                      <string notr="true">UUID:</string>
                     </property>
                    </widget>
                   </item>
                   <item row="2" column="1">
                    <widget class="QPlainTextEdit" name="plainTextEditCurrentPieceUUID">
                     <property name="maximumSize">
                      <size>
                       <width>16777215</width>
                       <height>48</height>
                      </size>
                     </property>
                     <property name="readOnly">
                      <bool>true</bool>
                     </property>
                     <property name="plainText">
                      <string/>
                     </property>
                    </widget>
                   </item>
                   <item row="3" column="0">
                    <widget class="QLabel" name="label_4">
                     <property name="text">
                      <string>Gradation id:</string>
                     </property>
                    </widget>
                   </item>
                   <item row="3" column="1">
                    <widget class="QLineEdit" name="lineEditCurrentPieceGradationId">
                     <property name="readOnly">
                      <bool>true</bool>
                     </property>
                    </widget>
                   </item>
                  </layout>
                 </widget>
                </item>
                <item>
                 <widget class="QGroupBox" name="groupBoxPieceTransformation">
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="title">
                   <string>Transformation</string>
                  </property>
                  <layout class="QVBoxLayout" name="verticalLayout_25">
                   <item>
                    <widget class="QTabWidget" name="tabWidgetPieceTransformation">
                     <property name="currentIndex">
                      <number>0</number>
                     </property>
                     <widget class="QWidget" name="tabTranslate">
                      <attribute name="title">
                       <string comment="Translate piece">Translate</string>
                      </attribute>
                      <layout class="QVBoxLayout" name="verticalLayout">
                       <item>
                        <widget class="QGroupBox" name="groupBoxCurrentPiecePlacement">
                         <property name="title">
                          <string>Placement</string>
                         </property>
                         <layout class="QVBoxLayout" name="verticalLayout_26">
                          <item>
                           <layout class="QGridLayout" name="gridLayout">
                            <item row="0" column="0">
                             <widget class="QLabel" name="labelCurrentPieceTranslateX">
                              <property name="text">
                               <string>Horizontal:</string>
                              </property>
                             </widget>
                            </item>
                            <item row="0" column="1">
                             <widget class="QDoubleSpinBox" name="doubleSpinBoxCurrentPieceBoxPositionX">
                              <property name="minimum">
                               <double>-10000.000000000000000</double>
                              </property>
                              <property name="maximum">
                               <double>10000.000000000000000</double>
                              </property>
                              <property name="singleStep">
                               <double>0.100000000000000</double>
                              </property>
                             </widget>
                            </item>
                            <item row="0" column="2">
                             <widget class="QComboBox" name="comboBoxTranslateUnit"/>
                            </item>
                            <item row="1" column="0">
                             <widget class="QLabel" name="labelCurrentPieceTranslateY">
                              <property name="text">
                               <string>Vertical:</string>
                              </property>
                             </widget>
                            </item>
                            <item row="1" column="1">
                             <widget class="QDoubleSpinBox" name="doubleSpinBoxCurrentPieceBoxPositionY">
                              <property name="minimum">
                               <double>-10000.000000000000000</double>
                              </property>
                              <property name="maximum">
                               <double>10000.000000000000000</double>
                              </property>
                              <property name="singleStep">
                               <double>0.100000000000000</double>
                              </property>
                             </widget>
                            </item>
                           </layout>
                          </item>
                          <item>
                           <widget class="QCheckBox" name="checkBoxRelativeTranslation">
                            <property name="text">
                             <string>Relative translation</string>
                            </property>
                            <property name="checked">
                             <bool>true</bool>
                            </property>
                           </widget>
                          </item>
                         </layout>
                        </widget>
                       </item>
                      </layout>
                     </widget>
                     <widget class="QWidget" name="tabRotate">
                      <attribute name="title">
                       <string>Rotate</string>
                      </attribute>
                      <layout class="QVBoxLayout" name="verticalLayout_24">
                       <item>
                        <widget class="QGroupBox" name="groupBoxCurrentPieceRotation">
                         <property name="title">
                          <string>Rotation</string>
                         </property>
                         <layout class="QGridLayout" name="gridLayout_2">
                          <item row="0" column="3">
                           <widget class="QToolButton" name="toolButtonCurrentPieceRotationClockwise">
                            <property name="text">
                             <string notr="true"/>
                            </property>
                            <property name="icon">
                             <iconset theme="object-rotate-right">
                              <normaloff>.</normaloff>.</iconset>
                            </property>
                            <property name="checkable">
                             <bool>true</bool>
                            </property>
                            <attribute name="buttonGroup">
                             <string notr="true">buttonGroupRotationDirection</string>
                            </attribute>
                           </widget>
                          </item>
                          <item row="0" column="1">
                           <widget class="QDoubleSpinBox" name="doubleSpinBoxCurrentPieceAngle">
                            <property name="decimals">
                             <number>3</number>
                            </property>
                            <property name="minimum">
                             <double>-360.000000000000000</double>
                            </property>
                            <property name="maximum">
                             <double>360.000000000000000</double>
                            </property>
                            <property name="singleStep">
                             <double>0.100000000000000</double>
                            </property>
                           </widget>
                          </item>
                          <item row="0" column="4">
                           <spacer name="horizontalSpacer">
                            <property name="orientation">
                             <enum>Qt::Horizontal</enum>
                            </property>
                            <property name="sizeHint" stdset="0">
                             <size>
                              <width>40</width>
                              <height>20</height>
                             </size>
                            </property>
                           </spacer>
                          </item>
                          <item row="0" column="2">
                           <widget class="QToolButton" name="toolButtonCurrentPieceRotationAnticlockwise">
                            <property name="text">
                             <string notr="true"/>
                            </property>
                            <property name="icon">
                             <iconset theme="object-rotate-left">
                              <normaloff>.</normaloff>.</iconset>
                            </property>
                            <property name="checkable">
                             <bool>true</bool>
                            </property>
                            <property name="checked">
                             <bool>true</bool>
                            </property>
                            <attribute name="buttonGroup">
                             <string notr="true">buttonGroupRotationDirection</string>
                            </attribute>
                           </widget>
                          </item>
                          <item row="0" column="0">
                           <widget class="QLabel" name="labelCurrentPieceAngle">
                            <property name="sizePolicy">
                             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
                              <horstretch>0</horstretch>
                              <verstretch>0</verstretch>
                             </sizepolicy>
                            </property>
                            <property name="text">
                             <string>Angle:</string>
                            </property>
                           </widget>
                          </item>
                          <item row="1" column="0">
                           <spacer name="verticalSpacer">
                            <property name="orientation">
                             <enum>Qt::Vertical</enum>
                            </property>
                            <property name="sizeHint" stdset="0">
                             <size>
                              <width>20</width>
                              <height>40</height>
                             </size>
                            </property>
                           </spacer>
                          </item>
                         </layout>
                        </widget>
                       </item>
                      </layout>
                     </widget>
                    </widget>
                   </item>
                   <item>
                    <widget class="QCheckBox" name="checkBoxTransformSeparately">
                     <property name="text">
                      <string>Apply to each piece separately</string>
                     </property>
                    </widget>
                   </item>
                   <item>
                    <widget class="QDialogButtonBox" name="buttonBox">
                     <property name="standardButtons">
                      <set>QDialogButtonBox::Apply|QDialogButtonBox::Reset</set>
                     </property>
                    </widget>
                   </item>
                  </layout>
                 </widget>
                </item>
                <item>
                 <widget class="QGroupBox" name="groupBoxCurrentPieceSeamline">
                  <property name="title">
                   <string>Seamline</string>
                  </property>
                  <layout class="QVBoxLayout" name="verticalLayout_8">
                   <item>
                    <widget class="QCheckBox" name="checkBoxCurrentPieceShowSeamline">
                     <property name="text">
                      <string>Show Seamline</string>
                     </property>
                     <property name="checked">
                      <bool>true</bool>
                     </property>
                    </widget>
                   </item>
                  </layout>
                 </widget>
                </item>
                <item>
                 <widget class="QGroupBox" name="groupBoxCurrentPieceGeometry">
                  <property name="title">
                   <string>Geometry</string>
                  </property>
                  <layout class="QVBoxLayout" name="verticalLayout_9">
                   <item>
                    <widget class="QCheckBox" name="checkBoxCurrentPieceMirrorPiece">
                     <property name="text">
                      <string>Mirror piece</string>
                     </property>
                    </widget>
                   </item>
                  </layout>
                 </widget>
                </item>
               </layout>
              </widget>
             </item>
             <item alignment="Qt::AlignHCenter|Qt::AlignVCenter">
              <widget class="QLabel" name="labelCurrentPieceNoPieceSelected">
               <property name="sizePolicy">
                <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
                 <horstretch>0</horstretch>
                 <verstretch>1</verstretch>
                </sizepolicy>
               </property>
               <property name="font">
                <font>
                 <pointsize>18</pointsize>
                </font>
               </property>
               <property name="text">
                <string>No piece selected</string>
               </property>
               <property name="alignment">
                <set>Qt::AlignCenter</set>
               </property>
              </widget>
             </item>
             <item>
              <spacer name="verticalSpacerCurrentPiece">
               <property name="orientation">
                <enum>Qt::Vertical</enum>
               </property>
               <property name="sizeHint" stdset="0">
                <size>
                 <width>20</width>
                 <height>40</height>
                </size>
               </property>
              </spacer>
             </item>
            </layout>
           </widget>
          </widget>
         </item>
        </layout>
       </widget>
       <widget class="QWidget" name="tabSheetProperty">
        <attribute name="icon">
         <iconset>
          <normaloff>:/puzzleicon/64x64/iconLayout.png</normaloff>:/puzzleicon/64x64/iconLayout.png</iconset>
        </attribute>
        <attribute name="title">
         <string/>
        </attribute>
        <attribute name="toolTip">
         <string>Sheet properties</string>
        </attribute>
        <layout class="QVBoxLayout" name="verticalLayoutSheetProperty">
         <property name="leftMargin">
          <number>0</number>
         </property>
         <property name="topMargin">
          <number>0</number>
         </property>
         <property name="rightMargin">
          <number>0</number>
         </property>
         <property name="bottomMargin">
          <number>0</number>
         </property>
         <item>
          <widget class="QScrollArea" name="scrollAreaSheet">
           <property name="frameShape">
            <enum>QFrame::NoFrame</enum>
           </property>
           <property name="frameShadow">
            <enum>QFrame::Plain</enum>
           </property>
           <property name="lineWidth">
            <number>0</number>
           </property>
           <property name="widgetResizable">
            <bool>true</bool>
           </property>
           <widget class="QWidget" name="scrollAreaWidgetContentsLayout">
            <property name="geometry">
             <rect>
              <x>0</x>
              <y>0</y>
              <width>378</width>
              <height>829</height>
             </rect>
            </property>
            <layout class="QVBoxLayout" name="verticalLayout_12">
             <item>
              <widget class="QLabel" name="labelSheet">
               <property name="styleSheet">
                <string notr="true">font-weight: bold;</string>
               </property>
               <property name="text">
                <string>Current sheet</string>
               </property>
               <property name="alignment">
                <set>Qt::AlignCenter</set>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxSheetInfos">
               <property name="title">
                <string>Infos</string>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_17">
                <item>
                 <layout class="QFormLayout" name="formLayout_8">
                  <item row="0" column="0">
                   <widget class="QLabel" name="labelSheetName">
                    <property name="text">
                     <string>Name:</string>
                    </property>
                   </widget>
                  </item>
                  <item row="0" column="1">
                   <widget class="QLineEdit" name="lineEditSheetName"/>
                  </item>
                 </layout>
                </item>
               </layout>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxPaperFormat">
               <property name="autoFillBackground">
                <bool>false</bool>
               </property>
               <property name="title">
                <string>Format</string>
               </property>
               <property name="flat">
                <bool>false</bool>
               </property>
               <property name="checkable">
                <bool>false</bool>
               </property>
               <property name="checked">
                <bool>false</bool>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_2">
                <item>
                 <layout class="QFormLayout" name="formLayout_2">
                  <property name="fieldGrowthPolicy">
                   <enum>QFormLayout::ExpandingFieldsGrow</enum>
                  </property>
                  <item row="0" column="0">
                   <widget class="QLabel" name="labelLayoutUnit">
                    <property name="text">
                     <string>Unit:</string>
                    </property>
                   </widget>
                  </item>
                  <item row="0" column="1">
                   <widget class="QComboBox" name="comboBoxLayoutUnit"/>
                  </item>
                  <item row="1" column="0">
                   <widget class="QLabel" name="label_2">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="text">
                     <string>Templates:</string>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="1">
                   <widget class="QComboBox" name="comboBoxSheetTemplates"/>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="Line" name="line">
                  <property name="orientation">
                   <enum>Qt::Horizontal</enum>
                  </property>
                 </widget>
                </item>
                <item>
                 <layout class="QGridLayout" name="gridLayout_3">
                  <item row="1" column="1">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxSheetPaperHeight">
                    <property name="minimumSize">
                     <size>
                      <width>94</width>
                      <height>0</height>
                     </size>
                    </property>
                    <property name="decimals">
                     <number>2</number>
                    </property>
                    <property name="maximum">
                     <double>99999.000000000000000</double>
                    </property>
                   </widget>
                  </item>
                  <item row="0" column="1">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxSheetPaperWidth">
                    <property name="minimumSize">
                     <size>
                      <width>94</width>
                      <height>0</height>
                     </size>
                    </property>
                    <property name="decimals">
                     <number>2</number>
                    </property>
                    <property name="maximum">
                     <double>99999.990000000005239</double>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="0">
                   <widget class="QLabel" name="labelLength">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="text">
                     <string>Length:</string>
                    </property>
                   </widget>
                  </item>
                  <item row="2" column="0">
                   <layout class="QHBoxLayout" name="horizontalLayout_3">
                    <item>
                     <widget class="QToolButton" name="toolButtonSheetPortraitOritation">
                      <property name="text">
                       <string notr="true">...</string>
                      </property>
                      <property name="icon">
                       <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
                        <normaloff>:/icon/16x16/portrait.png</normaloff>:/icon/16x16/portrait.png</iconset>
                      </property>
                      <property name="checkable">
                       <bool>true</bool>
                      </property>
                      <property name="checked">
                       <bool>true</bool>
                      </property>
                      <property name="autoRaise">
                       <bool>true</bool>
                      </property>
                      <attribute name="buttonGroup">
                       <string notr="true">buttonGroupSheetOrientation</string>
                      </attribute>
                     </widget>
                    </item>
                    <item>
                     <widget class="QToolButton" name="toolButtonSheetLandscapeOrientation">
                      <property name="text">
                       <string notr="true">...</string>
                      </property>
                      <property name="icon">
                       <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
                        <normaloff>:/icon/16x16/landscape.png</normaloff>:/icon/16x16/landscape.png</iconset>
                      </property>
                      <property name="checkable">
                       <bool>true</bool>
                      </property>
                      <property name="checked">
                       <bool>false</bool>
                      </property>
                      <property name="autoRaise">
                       <bool>true</bool>
                      </property>
                      <attribute name="buttonGroup">
                       <string notr="true">buttonGroupSheetOrientation</string>
                      </attribute>
                     </widget>
                    </item>
                   </layout>
                  </item>
                  <item row="0" column="0">
                   <widget class="QLabel" name="labelWidth">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="text">
                     <string>Width:</string>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="horizontalLayout_5">
                  <item>
                   <widget class="QLabel" name="label_5">
                    <property name="text">
                     <string>Grainline orientation:</string>
                    </property>
                    <property name="wordWrap">
                     <bool>true</bool>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <layout class="QHBoxLayout" name="horizontalLayout">
                    <item>
                     <widget class="QToolButton" name="toolButtonGrainlineHorizontalOrientation">
                      <property name="toolTip">
                       <string>Force the grainline orientation to always be horizontal</string>
                      </property>
                      <property name="text">
                       <string notr="true">...</string>
                      </property>
                      <property name="icon">
                       <iconset>
                        <normaloff>:/puzzleicon/32X32/horizontal_grainline.png</normaloff>:/puzzleicon/32X32/horizontal_grainline.png</iconset>
                      </property>
                      <property name="iconSize">
                       <size>
                        <width>24</width>
                        <height>24</height>
                       </size>
                      </property>
                      <property name="checkable">
                       <bool>true</bool>
                      </property>
                     </widget>
                    </item>
                    <item>
                     <widget class="QToolButton" name="toolButtonGrainlineVerticalOrientation">
                      <property name="toolTip">
                       <string>Force the grainline orientation to always be vertical</string>
                      </property>
                      <property name="text">
                       <string notr="true">...</string>
                      </property>
                      <property name="icon">
                       <iconset>
                        <normaloff>:/puzzleicon/32X32/vertical_grainline.png</normaloff>:/puzzleicon/32X32/vertical_grainline.png</iconset>
                      </property>
                      <property name="iconSize">
                       <size>
                        <width>24</width>
                        <height>24</height>
                       </size>
                      </property>
                      <property name="checkable">
                       <bool>true</bool>
                      </property>
                     </widget>
                    </item>
                    <item>
                     <spacer name="horizontalSpacer_2">
                      <property name="orientation">
                       <enum>Qt::Horizontal</enum>
                      </property>
                      <property name="sizeHint" stdset="0">
                       <size>
                        <width>40</width>
                        <height>20</height>
                       </size>
                      </property>
                     </spacer>
                    </item>
                   </layout>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="QPushButton" name="pushButtonSheetRemoveUnusedLength">
                  <property name="text">
                   <string>Remove unused length</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxSheetMargin">
               <property name="title">
                <string>Margins</string>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_4">
                <item>
                 <layout class="QGridLayout" name="gridLayout_4">
                  <item row="1" column="2">
                   <widget class="QLabel" name="labelSheetMarginRight">
                    <property name="text">
                     <string>Right:</string>
                    </property>
                    <property name="alignment">
                     <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
                    </property>
                   </widget>
                  </item>
                  <item row="0" column="2">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxSheetMarginTop">
                    <property name="alignment">
                     <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
                    </property>
                    <property name="singleStep">
                     <double>0.100000000000000</double>
                    </property>
                   </widget>
                  </item>
                  <item row="0" column="1">
                   <widget class="QLabel" name="labelSheetMarginTop">
                    <property name="text">
                     <string>Top:</string>
                    </property>
                    <property name="alignment">
                     <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="1">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxSheetMarginLeft">
                    <property name="singleStep">
                     <double>0.100000000000000</double>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="3">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxSheetMarginRight">
                    <property name="singleStep">
                     <double>0.100000000000000</double>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="0">
                   <widget class="QLabel" name="labelSheetMarginLeft">
                    <property name="text">
                     <string>Left:</string>
                    </property>
                    <property name="alignment">
                     <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
                    </property>
                   </widget>
                  </item>
                  <item row="2" column="1">
                   <widget class="QLabel" name="labelSheetMarginBottom">
                    <property name="text">
                     <string>Bottom:</string>
                    </property>
                    <property name="alignment">
                     <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
                    </property>
                   </widget>
                  </item>
                  <item row="2" column="2">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxSheetMarginBottom">
                    <property name="singleStep">
                     <double>0.100000000000000</double>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="QCheckBox" name="checkBoxLayoutIgnoreFileds">
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="text">
                   <string>Ignore margins</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxSheetGrid">
               <property name="title">
                <string>Placement Grid</string>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_21">
                <item>
                 <layout class="QFormLayout" name="formLayout_9">
                  <item row="0" column="0" colspan="2">
                   <widget class="QCheckBox" name="checkBoxSheetShowGrid">
                    <property name="layoutDirection">
                     <enum>Qt::LeftToRight</enum>
                    </property>
                    <property name="text">
                     <string>Show Grid</string>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="0">
                   <widget class="QLabel" name="labelSheetGridColWidth">
                    <property name="text">
                     <string>Column width</string>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="1">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxSheetGridColWidth">
                    <property name="maximum">
                     <double>1000.000000000000000</double>
                    </property>
                   </widget>
                  </item>
                  <item row="2" column="0">
                   <widget class="QLabel" name="labelSheetGridRowHeight">
                    <property name="text">
                     <string>Row height</string>
                    </property>
                   </widget>
                  </item>
                  <item row="2" column="1">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxSheetGridRowHeight">
                    <property name="maximum">
                     <double>1000.000000000000000</double>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
               </layout>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxSheetExport">
               <property name="title">
                <string>Export</string>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_7">
                <item>
                 <widget class="QPushButton" name="pushButtonSheetExport">
                  <property name="text">
                   <string>Export Sheet</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </widget>
             </item>
             <item>
              <spacer name="verticalSpacerSheet">
               <property name="orientation">
                <enum>Qt::Vertical</enum>
               </property>
               <property name="sizeHint" stdset="0">
                <size>
                 <width>20</width>
                 <height>40</height>
                </size>
               </property>
              </spacer>
             </item>
            </layout>
           </widget>
          </widget>
         </item>
        </layout>
       </widget>
       <widget class="QWidget" name="tabTilesProperty">
        <attribute name="icon">
         <iconset>
          <normaloff>:/puzzleicon/64x64/iconTiles.png</normaloff>:/puzzleicon/64x64/iconTiles.png</iconset>
        </attribute>
        <attribute name="title">
         <string/>
        </attribute>
        <attribute name="toolTip">
         <string>Tiles properties</string>
        </attribute>
        <layout class="QVBoxLayout" name="verticalLayoutTilesProperty">
         <property name="leftMargin">
          <number>0</number>
         </property>
         <property name="topMargin">
          <number>0</number>
         </property>
         <property name="rightMargin">
          <number>0</number>
         </property>
         <property name="bottomMargin">
          <number>0</number>
         </property>
         <item>
          <widget class="QScrollArea" name="scrollAreaTiles">
           <property name="frameShape">
            <enum>QFrame::NoFrame</enum>
           </property>
           <property name="frameShadow">
            <enum>QFrame::Plain</enum>
           </property>
           <property name="lineWidth">
            <number>0</number>
           </property>
           <property name="widgetResizable">
            <bool>true</bool>
           </property>
           <widget class="QWidget" name="scrollAreaWidgetContentsTiles">
            <property name="geometry">
             <rect>
              <x>0</x>
              <y>0</y>
              <width>392</width>
              <height>700</height>
             </rect>
            </property>
            <layout class="QVBoxLayout" name="verticalLayout_5">
             <item>
              <widget class="QLabel" name="labelTiles">
               <property name="styleSheet">
                <string notr="true">font-weight: bold;</string>
               </property>
               <property name="text">
                <string>Tiled Pdf Export</string>
               </property>
               <property name="alignment">
                <set>Qt::AlignCenter</set>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxTilePaperFormat">
               <property name="autoFillBackground">
                <bool>false</bool>
               </property>
               <property name="title">
                <string>Format</string>
               </property>
               <property name="flat">
                <bool>false</bool>
               </property>
               <property name="checkable">
                <bool>false</bool>
               </property>
               <property name="checked">
                <bool>false</bool>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_3">
                <item>
                 <layout class="QFormLayout" name="formLayout_10">
                  <property name="fieldGrowthPolicy">
                   <enum>QFormLayout::ExpandingFieldsGrow</enum>
                  </property>
                  <item row="0" column="0">
                   <widget class="QLabel" name="label_3">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="text">
                     <string>Templates:</string>
                    </property>
                   </widget>
                  </item>
                  <item row="0" column="1">
                   <widget class="QComboBox" name="comboBoxTileTemplates"/>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="Line" name="line_2">
                  <property name="orientation">
                   <enum>Qt::Horizontal</enum>
                  </property>
                 </widget>
                </item>
                <item>
                 <layout class="QGridLayout" name="gridLayout_5">
                  <item row="2" column="0">
                   <layout class="QHBoxLayout" name="horizontalLayout_4">
                    <item>
                     <widget class="QToolButton" name="toolButtonTilePortraitOrientation">
                      <property name="text">
                       <string notr="true">...</string>
                      </property>
                      <property name="icon">
                       <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
                        <normaloff>:/icon/16x16/portrait.png</normaloff>:/icon/16x16/portrait.png</iconset>
                      </property>
                      <property name="checkable">
                       <bool>true</bool>
                      </property>
                      <property name="checked">
                       <bool>true</bool>
                      </property>
                      <property name="autoRaise">
                       <bool>true</bool>
                      </property>
                      <attribute name="buttonGroup">
                       <string notr="true">buttonGroupTileOrientation</string>
                      </attribute>
                     </widget>
                    </item>
                    <item>
                     <widget class="QToolButton" name="toolButtonTileLandscapeOrientation">
                      <property name="text">
                       <string notr="true">...</string>
                      </property>
                      <property name="icon">
                       <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
                        <normaloff>:/icon/16x16/landscape.png</normaloff>:/icon/16x16/landscape.png</iconset>
                      </property>
                      <property name="checkable">
                       <bool>true</bool>
                      </property>
                      <property name="checked">
                       <bool>false</bool>
                      </property>
                      <property name="autoRaise">
                       <bool>true</bool>
                      </property>
                      <attribute name="buttonGroup">
                       <string notr="true">buttonGroupTileOrientation</string>
                      </attribute>
                     </widget>
                    </item>
                   </layout>
                  </item>
                  <item row="0" column="0">
                   <widget class="QLabel" name="labelWidth_2">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="text">
                     <string>Width:</string>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="0">
                   <widget class="QLabel" name="labelHeight_2">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="text">
                     <string>Height:</string>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="1">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxTilePaperHeight">
                    <property name="minimumSize">
                     <size>
                      <width>94</width>
                      <height>0</height>
                     </size>
                    </property>
                    <property name="decimals">
                     <number>2</number>
                    </property>
                    <property name="maximum">
                     <double>99999.000000000000000</double>
                    </property>
                   </widget>
                  </item>
                  <item row="0" column="1">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxTilePaperWidth">
                    <property name="minimumSize">
                     <size>
                      <width>94</width>
                      <height>0</height>
                     </size>
                    </property>
                    <property name="decimals">
                     <number>2</number>
                    </property>
                    <property name="maximum">
                     <double>99999.990000000005239</double>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
               </layout>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxTileMargins">
               <property name="title">
                <string>Margins</string>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_6">
                <item>
                 <layout class="QGridLayout" name="gridLayout_6">
                  <item row="1" column="2">
                   <widget class="QLabel" name="labelSheetMarginRight_2">
                    <property name="text">
                     <string>Right:</string>
                    </property>
                    <property name="alignment">
                     <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
                    </property>
                   </widget>
                  </item>
                  <item row="0" column="2">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxTileMarginTop">
                    <property name="alignment">
                     <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
                    </property>
                    <property name="singleStep">
                     <double>0.100000000000000</double>
                    </property>
                   </widget>
                  </item>
                  <item row="0" column="1">
                   <widget class="QLabel" name="labelSheetMarginTop_2">
                    <property name="text">
                     <string>Top:</string>
                    </property>
                    <property name="alignment">
                     <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="1">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxTileMarginLeft">
                    <property name="singleStep">
                     <double>0.100000000000000</double>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="3">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxTileMarginRight">
                    <property name="singleStep">
                     <double>0.100000000000000</double>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="0">
                   <widget class="QLabel" name="labelSheetMarginLeft_2">
                    <property name="text">
                     <string>Left:</string>
                    </property>
                    <property name="alignment">
                     <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
                    </property>
                   </widget>
                  </item>
                  <item row="2" column="1">
                   <widget class="QLabel" name="labelSheetMarginBottom_2">
                    <property name="text">
                     <string>Bottom:</string>
                    </property>
                    <property name="alignment">
                     <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
                    </property>
                   </widget>
                  </item>
                  <item row="2" column="2">
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxTileMarginBottom">
                    <property name="singleStep">
                     <double>0.100000000000000</double>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="QCheckBox" name="checkBoxTileIgnoreFileds">
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="text">
                   <string>Ignore margins</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxTilesControl">
               <property name="title">
                <string>Control</string>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_19">
                <item>
                 <widget class="QCheckBox" name="checkBoxTilesShowTiles">
                  <property name="text">
                   <string>Show Tiles on sheet</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QCheckBox" name="checkBoxTilesShowWatermark">
                  <property name="toolTip">
                   <string>Show watermark preview</string>
                  </property>
                  <property name="text">
                   <string>Show watermark</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QCheckBox" name="checkBoxPrintTilesScheme">
                  <property name="text">
                   <string>Print tiles scheme</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </widget>
             </item>
             <item>
              <spacer name="verticalSpacerTiles">
               <property name="orientation">
                <enum>Qt::Vertical</enum>
               </property>
               <property name="sizeHint" stdset="0">
                <size>
                 <width>20</width>
                 <height>40</height>
                </size>
               </property>
              </spacer>
             </item>
            </layout>
           </widget>
          </widget>
         </item>
        </layout>
       </widget>
       <widget class="QWidget" name="tabLayoutProperty">
        <attribute name="icon">
         <iconset>
          <normaloff>:/puzzleicon/64x64/iconProperties.png</normaloff>:/puzzleicon/64x64/iconProperties.png</iconset>
        </attribute>
        <attribute name="title">
         <string/>
        </attribute>
        <attribute name="toolTip">
         <string>Layout properties</string>
        </attribute>
        <layout class="QVBoxLayout" name="verticalLayoutLayoutProperty">
         <property name="leftMargin">
          <number>0</number>
         </property>
         <property name="topMargin">
          <number>0</number>
         </property>
         <property name="rightMargin">
          <number>0</number>
         </property>
         <property name="bottomMargin">
          <number>0</number>
         </property>
         <item>
          <widget class="QScrollArea" name="scrollAreaLayout">
           <property name="frameShape">
            <enum>QFrame::NoFrame</enum>
           </property>
           <property name="frameShadow">
            <enum>QFrame::Plain</enum>
           </property>
           <property name="lineWidth">
            <number>0</number>
           </property>
           <property name="widgetResizable">
            <bool>true</bool>
           </property>
           <widget class="QWidget" name="scrollAreaWidgetContents">
            <property name="geometry">
             <rect>
              <x>0</x>
              <y>0</y>
              <width>392</width>
              <height>700</height>
             </rect>
            </property>
            <layout class="QVBoxLayout" name="verticalLayout_27">
             <item>
              <widget class="QLabel" name="labelLayout">
               <property name="styleSheet">
                <string notr="true">font-weight: bold;</string>
               </property>
               <property name="text">
                <string>Layout</string>
               </property>
               <property name="alignment">
                <set>Qt::AlignCenter</set>
               </property>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxLayoutInfos">
               <property name="title">
                <string>Infos</string>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_16">
                <item>
                 <layout class="QFormLayout" name="formLayout_7">
                  <item row="0" column="0">
                   <widget class="QLabel" name="labelLayoutName">
                    <property name="text">
                     <string>Name:</string>
                    </property>
                   </widget>
                  </item>
                  <item row="0" column="1">
                   <widget class="QLineEdit" name="lineEditLayoutName">
                    <property name="text">
                     <string/>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="QLabel" name="label">
                  <property name="text">
                   <string>Description</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QPlainTextEdit" name="plainTextEditLayoutDescription"/>
                </item>
               </layout>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxLayoutControl">
               <property name="title">
                <string>Control</string>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_14">
                <item>
                 <widget class="QCheckBox" name="checkBoxLayoutWarningPiecesSuperposition">
                  <property name="text">
                   <string>Warning superposition of pieces</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QCheckBox" name="checkBoxLayoutWarningPiecesOutOfBound">
                  <property name="text">
                   <string>Warning pieces out of bound</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QCheckBox" name="checkBoxSheetStickyEdges">
                  <property name="text">
                   <string>Sticky edges</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <widget class="QCheckBox" name="checkBoxFollowGainline">
                  <property name="text">
                   <string>Follow grainline</string>
                  </property>
                 </widget>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="horizontalLayout_2">
                  <item>
                   <widget class="QLabel" name="labelSheetPiecesGap">
                    <property name="text">
                     <string>Pieces gap:</string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxSheetPiecesGap"/>
                  </item>
                 </layout>
                </item>
               </layout>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxLayoutScale">
               <property name="title">
                <string>Scale</string>
               </property>
               <layout class="QHBoxLayout" name="horizontalLayout_12">
                <item>
                 <layout class="QVBoxLayout" name="verticalLayout_11">
                  <item>
                   <widget class="QLabel" name="label_11">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="text">
                     <string>Horizontal:</string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QLabel" name="label_12">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="text">
                     <string>Vertical:</string>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <layout class="QVBoxLayout" name="verticalLayout_20">
                  <item>
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxHorizontalScale">
                    <property name="suffix">
                     <string notr="true">%</string>
                    </property>
                    <property name="decimals">
                     <number>1</number>
                    </property>
                    <property name="minimum">
                     <double>1.000000000000000</double>
                    </property>
                    <property name="maximum">
                     <double>300.000000000000000</double>
                    </property>
                    <property name="singleStep">
                     <double>0.100000000000000</double>
                    </property>
                    <property name="value">
                     <double>100.000000000000000</double>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QDoubleSpinBox" name="doubleSpinBoxVerticalScale">
                    <property name="suffix">
                     <string notr="true">%</string>
                    </property>
                    <property name="decimals">
                     <number>1</number>
                    </property>
                    <property name="minimum">
                     <double>1.000000000000000</double>
                    </property>
                    <property name="maximum">
                     <double>300.000000000000000</double>
                    </property>
                    <property name="singleStep">
                     <double>0.100000000000000</double>
                    </property>
                    <property name="value">
                     <double>100.000000000000000</double>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <layout class="QVBoxLayout" name="verticalLayout_22">
                  <property name="spacing">
                   <number>1</number>
                  </property>
                  <property name="leftMargin">
                   <number>0</number>
                  </property>
                  <property name="bottomMargin">
                   <number>0</number>
                  </property>
                  <item>
                   <widget class="QLabel" name="label_13">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="font">
                     <font>
                      <pointsize>10</pointsize>
                     </font>
                    </property>
                    <property name="text">
                     <string notr="true">&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;&lt;span style=&quot; font-size:16pt;&quot;&gt;┐&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
                    </property>
                    <property name="alignment">
                     <set>Qt::AlignCenter</set>
                    </property>
                   </widget>
                  </item>
                  <item alignment="Qt::AlignHCenter">
                   <widget class="QToolButton" name="toolButtonScaleConnected">
                    <property name="minimumSize">
                     <size>
                      <width>0</width>
                      <height>0</height>
                     </size>
                    </property>
                    <property name="text">
                     <string notr="true">...</string>
                    </property>
                    <property name="icon">
                     <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
                      <normaloff>:/icon/32x32/link.png</normaloff>:/icon/32x32/link.png</iconset>
                    </property>
                    <property name="iconSize">
                     <size>
                      <width>32</width>
                      <height>32</height>
                     </size>
                    </property>
                    <property name="popupMode">
                     <enum>QToolButton::DelayedPopup</enum>
                    </property>
                   </widget>
                  </item>
                  <item alignment="Qt::AlignHCenter">
                   <widget class="QLabel" name="label_14">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="text">
                     <string notr="true">&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;&lt;span style=&quot; font-size:16pt; font-weight:600;&quot;&gt;┘&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <spacer name="horizontalSpacer_3">
                  <property name="orientation">
                   <enum>Qt::Horizontal</enum>
                  </property>
                  <property name="sizeHint" stdset="0">
                   <size>
                    <width>40</width>
                    <height>20</height>
                   </size>
                  </property>
                 </spacer>
                </item>
               </layout>
              </widget>
             </item>
             <item>
              <widget class="QGroupBox" name="groupBoxLayoutExport">
               <property name="title">
                <string>Export</string>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_18">
                <item>
                 <widget class="QPushButton" name="pushButtonLayoutExport">
                  <property name="text">
                   <string>Export Layout</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </widget>
             </item>
            </layout>
           </widget>
          </widget>
         </item>
        </layout>
       </widget>
      </widget>
     </item>
    </layout>
   </widget>
  </widget>
  <widget class="QToolBar" name="toolBarZoom">
   <property name="windowTitle">
    <string>zoom</string>
   </property>
   <property name="toolButtonStyle">
    <enum>Qt::ToolButtonTextUnderIcon</enum>
   </property>
   <attribute name="toolBarArea">
    <enum>TopToolBarArea</enum>
   </attribute>
   <attribute name="toolBarBreak">
    <bool>false</bool>
   </attribute>
   <addaction name="actionZoomIn"/>
   <addaction name="actionZoomOut"/>
   <addaction name="actionZoomOriginal"/>
   <addaction name="actionZoomFitBest"/>
  </widget>
  <widget class="QStatusBar" name="statusBar"/>
  <widget class="QToolBar" name="toolBarScale">
   <property name="windowTitle">
    <string>Scale</string>
   </property>
   <property name="allowedAreas">
    <set>Qt::AllToolBarAreas</set>
   </property>
   <attribute name="toolBarArea">
    <enum>BottomToolBarArea</enum>
   </attribute>
   <attribute name="toolBarBreak">
    <bool>false</bool>
   </attribute>
  </widget>
  <widget class="QToolBar" name="toolBarUndoCommands">
   <property name="windowTitle">
    <string>Undo commands</string>
   </property>
   <attribute name="toolBarArea">
    <enum>TopToolBarArea</enum>
   </attribute>
   <attribute name="toolBarBreak">
    <bool>false</bool>
   </attribute>
  </widget>
  <action name="actionOpen">
   <property name="icon">
    <iconset theme="document-open">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>&amp;Open</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+O</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionSave">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset theme="document-save">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>&amp;Save</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+S</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionSaveAs">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset theme="document-save-as">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Save &amp;As</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+Shift+S</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionImportRawLayout">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>&amp;Import Raw Layout Data</string>
   </property>
  </action>
  <action name="actionExit">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset theme="application-exit">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>E&amp;xit</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+Q</string>
   </property>
   <property name="menuRole">
    <enum>QAction::QuitRole</enum>
   </property>
  </action>
  <action name="actionNew">
   <property name="icon">
    <iconset theme="document-new">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>&amp;New</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+N</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionAboutQt">
   <property name="text">
    <string>About &amp;Qt</string>
   </property>
   <property name="menuRole">
    <enum>QAction::AboutQtRole</enum>
   </property>
  </action>
  <action name="actionAboutPuzzle">
   <property name="icon">
    <iconset theme="help-about">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>About &amp;Puzzle</string>
   </property>
   <property name="menuRole">
    <enum>QAction::AboutRole</enum>
   </property>
  </action>
  <action name="actionProperties">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="checked">
    <bool>true</bool>
   </property>
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Properties</string>
   </property>
   <property name="menuRole">
    <enum>QAction::PreferencesRole</enum>
   </property>
  </action>
  <action name="actionZoomIn">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset theme="zoom-in">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Zoom in</string>
   </property>
  </action>
  <action name="actionZoomOut">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset theme="zoom-out">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Zoom out</string>
   </property>
  </action>
  <action name="actionZoomOriginal">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset theme="zoom-original">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Zoom 1:1</string>
   </property>
  </action>
  <action name="actionZoomFitBest">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset theme="zoom-fit-best">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Zoom fit best</string>
   </property>
   <property name="toolTip">
    <string>Zoom sheet</string>
   </property>
  </action>
  <action name="actionPreferences">
   <property name="text">
    <string>Preferences</string>
   </property>
   <property name="menuRole">
    <enum>QAction::PreferencesRole</enum>
   </property>
  </action>
  <action name="actionAddSheet">
   <property name="text">
    <string>Add Sheet</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionPrintLayout">
   <property name="icon">
    <iconset theme="document-print">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Print</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionPrintPreviewLayout">
   <property name="icon">
    <iconset theme="document-print-preview">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Print preview</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionPrintTiledLayout">
   <property name="icon">
    <iconset theme="document-print">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Print tiled</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionPrintPreviewTiledLayout">
   <property name="icon">
    <iconset theme="document-print-preview">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Print preview tiled</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionExportLayout">
   <property name="text">
    <string>Export</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionPrintSheet">
   <property name="icon">
    <iconset theme="document-print">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Print</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionPrintPreviewSheet">
   <property name="icon">
    <iconset theme="document-print-preview">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Print preview</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionPrintTiledSheet">
   <property name="icon">
    <iconset theme="document-print">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Print tiled</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionPrintPreviewTiledSheet">
   <property name="icon">
    <iconset theme="document-print-preview">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Print preview tiled</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionExportSheet">
   <property name="text">
    <string>Export</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionWatermarkEditor">
   <property name="icon">
    <iconset theme="document-new">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Editor</string>
   </property>
   <property name="toolTip">
    <string>Create or edit a watermark</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionEditCurrentWatermark">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Edit current</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionLoadWatermark">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset theme="document-open">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Load</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
  <action name="actionRemoveWatermark">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="edit-delete">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Remove</string>
   </property>
   <property name="menuRole">
    <enum>QAction::ApplicationSpecificRole</enum>
   </property>
  </action>
 </widget>
 <layoutdefault spacing="6" margin="11"/>
 <tabstops>
  <tabstop>scrollAreaCurrentPiece</tabstop>
  <tabstop>scrollAreaSheet</tabstop>
  <tabstop>scrollAreaTiles</tabstop>
  <tabstop>lineEditCurrentPieceName</tabstop>
  <tabstop>plainTextEditCurrentPieceUUID</tabstop>
  <tabstop>checkBoxCurrentPieceShowSeamline</tabstop>
  <tabstop>checkBoxCurrentPieceMirrorPiece</tabstop>
  <tabstop>doubleSpinBoxCurrentPieceAngle</tabstop>
  <tabstop>doubleSpinBoxCurrentPieceBoxPositionX</tabstop>
  <tabstop>doubleSpinBoxCurrentPieceBoxPositionY</tabstop>
  <tabstop>lineEditSheetName</tabstop>
  <tabstop>pushButtonSheetExport</tabstop>
  <tabstop>checkBoxTilesShowTiles</tabstop>
  <tabstop>lineEditLayoutName</tabstop>
  <tabstop>plainTextEditLayoutDescription</tabstop>
  <tabstop>checkBoxLayoutWarningPiecesSuperposition</tabstop>
  <tabstop>checkBoxLayoutWarningPiecesOutOfBound</tabstop>
 </tabstops>
 <resources>
  <include location="../../libs/vmisc/share/resources/icon.qrc"/>
 </resources>
 <connections/>
 <buttongroups>
  <buttongroup name="buttonGroupTileOrientation"/>
  <buttongroup name="buttonGroupSheetOrientation"/>
  <buttongroup name="buttonGroupRotationDirection"/>
 </buttongroups>
</ui>
